summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2021-09-30 14:11:20 +0100
committerKieran Bingham <kieran.bingham@ideasonboard.com>2023-11-20 13:19:55 +0000
commit16f7c15a928c46882e6f8443875b064ed4552b84 (patch)
tree24cb5f35599f5602ccfbaccba7a3616e2c30251a
parent5f76fdd73e2d1bf39c34897bbb5f8972c9ab9b2d (diff)
release.sh: Don't gate on checkstyle.py
Signed-off-by: Kieran Bingham <kieran.bingham@ideasonboard.com>
-rwxr-xr-xrelease.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/release.sh b/release.sh
index 69e27cb..f81e8bc 100755
--- a/release.sh
+++ b/release.sh
@@ -9,7 +9,10 @@ LIBCAMERA=${1:-$(srcdir libcamera)}
cd $LIBCAMERA
./utils/checkstyle.py origin/master...
-pass_fail $? "Checkstyle fails..."
+## We can't gate on checkstyle failures as we allow checkstyle
+## exceptions. Still - the output from above can be included
+## in any report and log
+#pass_fail $? "Checkstyle fails..."
echo "libcamera at version : " $(libcamera_version "$LIBCAMERA")